#
# spec file for package rubygem-rails-i18n
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rails-i18n
Version:        7.0.10
Release:        1.2
%define mod_name rails-i18n
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/svenfuchs/rails-i18n
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Common locale data and translations for Rails i18n
License:        MIT

%description
A set of common locale data and translations to internationalize and/or
localize your Rails applications.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- - Update following locales:
  - Lithuanian (lt): Add missing keys (`x_years`, `in`, `model_invalid`, `required`, `round_mode`, `eb`, `pb`)
  - Portuguese (pt): Fixed `number.currency.format.format` and `helpers.submit.update` #1122
  - Croatian (hr): use genitive case for month names and put a period after weekday and month abbreviations #1126
  - Korean (ko): Add missing keys (Storage units) #1118
- Fix compatibility with frozen string literals. #1120
- Refactor translations implemented in Ruby to avoid method redefinition warnings on reload. #1128
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 7.0.9, see bundled CHANGELOG.md
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 7.0.8, see bundled CHANGELOG.md
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.6
  see installed CHANGELOG.md
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.5
  see installed CHANGELOG.md
  - Remove eager loading of translations during boot phase (this is now done by Rails).
  [#]# 7.0.3 (2022-03-01)
  - Revert long date formats on default "en" locale #980
* Thu Mar  3 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3
  see installed CHANGELOG.md
  [#]# 7.0.2 (2022-02-12)
  - Fix long date format for many locales #939 #943
  - Update following locales:
  - Chinese (zh-TW) #941
  - Croatian (hr) #940
  - Danish (da) #802 #946 #947 #948
  - Finnish (fi) #949
  - French (fr) #968
  - Galician (gl) #961
  - Papiamento (pap-AW, pap-CW) #974 #975
  - Serbian (sr) #972
  - Spanish (es, es-CL, es-ES) #936
  - Swedish (sv) #935
  - Tamil (ta) #953
  - Fix require statement in `rails/pluralization/tr` #964
  - Add rails/ordinals to s.files in Gemspec #969
  - Update i18n-tasks to be ActiveSupport 7+ ready #970
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2
  see installed CHANGELOG.md
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.1
  see installed CHANGELOG.md
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 6.0.0
  see installed CHANGELOG.md
  [#]# 6.0.0
  - Update rails-i18n.gemspec to use Railties 6.0.0
  - Add Malagasy (mg) locale
  - Update following locales:
  - Afrikaans (af)
  - Arabic (ar)
  - Azerbaijani (az)
  - Belarusian (be)
  - Bulgarian (bg)
  - Bengali (bn)
  - Bosnian (bs)
  - Catalan (ca)
  - Czech (cs)
  - Welsh (cy)
  - Danish (da)
  - German (de-AT, de-CH, de-DE, de)
  - Greek (el-CY, el)
  - English (en-AU, en-CA, en-CY, en-GB, en-IE, en-IN, en-NZ, en-US, en-Za, en)
  - Esperanto (eo)
  - Spanish (es-419, es-AR, es-CL, es-CO, es-CR, es-EC, es-ES, es-MX, es-NI, es-PA, es-PE, es-US, es-VE, es)
  - Estonian (et)
  - Basque (eu)
  - Farsi/Persian (fa)
  - Finnish (fi)
  - French (fr-CA, fr-CH, fr-FR, fr)
  - Galician (gl)
  - Hebrew (he)
  - Hindi (hi-IN, hi)
  - Croatian (hr)
  - Hungarian (hu)
  - Indonesian (id)
  - Icelandic (is)
  - Italian (it, it-CH)
  - Japanese (ja)
  - Georgian (ka)
  - Khmer (km)
  - Kannada (kn)
  - Korean (ko)
  - Luxembourgish (lb)
  - Lao (lo)
  - Lithuanian (lt)
  - Latvian (lv)
  - Malagasy (mg)
  - Macedonian (mk)
  - Malayalam (ml)
  - Mongolian (mn)
  - Marathi (mr-IN)
  - Malay (ms)
  - Norwegian Bokmål (nb)
  - Nepali (ne)
  - Dutch (nl)
  - Norwegian (nn)
  - Occitan (oc)
  - Oriya/Odiya (or)
  - Panjabi (pa)
  - Polish (pl)
  - Portuguese (pt-BR, pt)
  - Raeto-Romance (rm)
  - Romanian (ro)
  - Russian (ru)
  - Slovak (sk)
  - Slovenian (sl)
  - Albanian (sq)
  - Cyrillic Serbian (sr)
  - Swedish (sv-SE, sv)
  - Swahili (sw)
  - Tamil (ta)
  - Telugu (te)
  - Thai (th)
  - Tagalog (tl)
  - Turkish (tr)
  - Tatar (tt)
  - Uyghur (ug)
  - Ukrainian (uk)
  - Urdu (ur)
  - Uzbek (uz)
  - Vietnamese (vi)
  - Wolof (wo)
  - Chinese (zh-CN, zh-HK, zh-TW, zh-YUE)
  [#]# 6.0.0.beta1 (2019-01-28)
  - Update rails-i18n.gemspec to use Railties 6.0.0.beta1
  - Update Gemfile
  - Update .travis.yml
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.1.3
  see installed CHANGELOG.md
  [#]# 5.1.3 (2019-01-28)
  - Update following locales:
  - Spanish (es-*)
  - English (en-*)
  - Hungarian (hu)
  - Hebrew (he)
  - Cyrillic Serbian (sr)
  - Farsi/Persian (fa)
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.1.2
  see installed CHANGELOG.md
  [#]# 5.1.2 (2018-10-29)
  - Add Telugu (te) locale
  - Update following locales:
  - Azerbaijani (az)
  - Belarusian (be)
  - Czech (cs)
  - Danish (da)
  - English (en)
  - Spanish (es)
  - French (fr-*)
  - Japanese (ja)
  - Georgian (ka)
  - Korean (ko)
  - Lao (lo)
  - Occitan (oc)
  - Polish (pl)
  - Portuguese (pt-*)
  - Russian (ru)
  - Slovak (sk)
  - Ukrainian (uk)
  - Vietnamese (vi)
  - Chinese (zh-CN)
  - Remove :fil inflector (#771)
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 5.1.1
  see installed CHANGELOG.md
  [#]# 5.1.1 (2018-02-26)
  - Fix #767 (New Chinese pluralization rules break stuff)
* Thu Feb 15 2018 factory-auto@kulow.org
- updated to version 5.1.0
  see installed CHANGELOG.md
  [#]# 5.1.0 (2018-02-14)
  - Add following locales:
  - Spanish (Nicaragua) (es-NI)
  - Occitan (oc)
  - Update following locales:
  - Azerbaijani (az)
  - Danish (da)
  - German (de)
  - Chinese (zh-*)
  - Vietnamese (vi)
  - Turkish (tr)
  - Portuguese (pt)
  - Finnish (fi)
  - Arabic (ar)
  - Czech (cs)
  - Remove spec/integration directory and spork gem
  - Bump gem dependencies to include i18n 1.0
* Tue May 23 2017 coolo@suse.com
- updated to version 5.0.4
  see installed CHANGELOG.md
  [#]# 5.0.4 (2017-05-06)
  - Add following locales:
  - Cypriot Greek (el-CY)
  - Cypriot English (en-CY)
  - Update following locales:
  - Swedish (sv, sv-SE)
  - Ukrainian (uk)
  - French (fr, fr-FR)
  - Japanese (ja)
  - Uzbek (uz)
  - Chinese (zh-CN, zh-HK, zh-TW, zh-YUE)
  - Spanish (es)
* Sat Feb 11 2017 coolo@suse.com
- updated to version 5.0.3
  see installed CHANGELOG.md
  [#]# 5.0.3 (2017-02-10)
  - Update following locales:
  - Portuguese (pt, pt-BR)
  - Spanish locales (ES-\*)
  - Japanese (ja)
  - Georgian (ka)
  - Korean (ko)
  - Swedish (sv, sv-SE)
  - Ukrainian (uk)
* Fri Dec 30 2016 coolo@suse.com
- updated to version 5.0.2
  see installed CHANGELOG.md
  [#]# 5.0.2 (2016-12-29)
  - Add following locales:
  - Georgian (ka)
  - Update following locales:
  - Finnish (fi)
  - Azeri (az)
  - Bulgarian (bg)
  - Russian (ru)
  - Swedish (sv, sv-SE)
  - Spanish (es)
  - Danish (da)
  - Portuguese (pt-BR)
  - Basque (eu)
  - Nepali (ne)
  - Farsi/Persian (fa)
  - Fix precision for human format on eo, es-PE, fr-CA, fr-CH, fr-FR, fr, pt-BR and tr
  [#]# 5.0.1 (2016-09-22)
  - Update following locales:
  - Afrikaans (af)
  - Bosnian (bs)
  - Catalan (ca)
  - English (en-AU, en-CA, en-GB, en-IE, en-NZ, en-US, en-ZA, en)
  - Estonian (et)
  - French (fr-CA, fr-CH, fr-FR, fr)
  - Norwegian Bokmål (nb)
  - Russion (ru)
  - Wolof (wo)
  - Traditional Chinese (zh-TW)
* Fri Sep 23 2016 coolo@suse.com
- updated to version 5.0.1
  see installed CHANGELOG.md
* Tue Jul  5 2016 coolo@suse.com
- updated to version 5.0.0
  see installed CHANGELOG.md
  [#]# 5.0.0 (2016-07-05)
  - Change the structure of translation files for Rails 5
  - Update Spanish locales (ES-\*)
  - Update Brazilian Portuguese (pt-BR)
  - Update Dutch (nl)
  - Update Indonesian (id)
  - Update Arabic (ar)
  - Add German (de-DE)
  - Add French (fr-FR)
  - Add Malayalam (ml)
  - Update Chinese (zh-CN, zh-HK, zh-TW, zh-YUE)
  - Update Khmer (km)
  - Update German (de-AT, de-CH, de-DE, de)
  - Update French (fr)
  - Update Norwegian bokmål (nb)
  - Update Norwegian (nn)
  - Add Albanian (sq)
  - Update Turkish (tr)
  - Update Italian (it)
  - Update Ukrainian (uk)
  - Update Danish (da)
  - Update Spanish, Panama (es-PA)
  - Update Czech (cs)
  - Update Portuguese (pt)
  - Update Hebrew (he)
  [#]# 4.0.9 (2016-07-05)
  - Update Bosnian (bs)
  - Update Arabic (ar)
  - Update Panjabi (pa)
  - Update German (de)
  - Update Spanish (es)
  - Update Chinese (zh-CN, zh-TW)
  - Add Albanian (sq)
* Thu Jan 21 2016 coolo@suse.com
- updated to version 4.0.8
  see installed CHANGELOG.md
  [#]# 4.0.8 (2015-12-24)
  - Add Panjabi (pa)
  - Update Russian (ru)
* Sat Nov 21 2015 coolo@suse.com
- updated to version 4.0.7
  see installed CHANGELOG.md
  [#]# 4.0.7 (2015-11-20)
  - Update Khmer (km)
  - Update Greek (el)
  - Update German (de)
* Fri Oct 23 2015 coolo@suse.com
- updated to version 4.0.6
  see installed CHANGELOG.md
  [#]# 4.0.6 (2015-10-23)
  - Depend on i18n (~> 0.7)
  - Update Indonesian (id)
  - Update German (de)
  - Update Spanish (es)
  - Update Russian (ru) - Revert "bringing the month names to uppercase"
  - Update Turkish (tr) - Use turkish lira symbol instead of TL
  - Update Dutch (nl)
* Mon Sep  7 2015 coolo@suse.com
- updated to version 4.0.5
  see installed CHANGELOG.md
  [#]# 4.0.5 (2015-09-06)
  - Update Portuguese (pt)
  - Update Korean (ko)
  - Update Dutch (nl)
  - Update German (de, de-AT, de-CH)
  - Update Spanish (es, es-AR, es-CL, es-CO, es-CR, es-PE, es-US, es-VE)
  - Update French (fr-CA, fr-CH, fr)
  - Add Luxembourgish (lb)
  - Add Marathi (mr-IN)
  - Update Swedish (sv)
  - Update Arabic (ar)
  - Update Finnish (fi)
  - Add Uyghur (ug)
  - Update Japanese (ja)
  - Update Russian (ru)
  - Add Greek transliteration rules (el)
  - Update Hebrew (he)
  - Update Italian (it)
  - Update Greek (el)
* Fri Feb 27 2015 coolo@suse.com
- updated to version 4.0.4
  - Complete Brazilian Portuguese translation (pt-BR)
  - Fix east slavic pluralization and transliteration rules
  - Update Polish (pl)
  - Change confirmation error message for es-* locales
  - Update Swedish (sv)
  - Update French (fr)
  - Update Dutch (nl)
  - Update Swiss German (de-CH)
  - Update German (de, de-AT)
  - Update Turkish (tr)
  - Update Lithuanian (lt)
  - Update Urdu (ur)
  - Update Chinese (zh-CN, zh-HK, zh-TW, zh-YUE)
  - Update Khmer (km)
  - Update Lithuanian (lt)
  - Update Italian (it)
  - Add Belarusian (be)
  - Add Tatar (tt)
  - Update Croatian (hr)
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.0.3
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun Apr  6 2014 coolo@suse.com
- updated to version 4.0.2
  - Complete French translation (fr)
  - Make East Slavic pluralization faster
  - Update Upper Sorbian translation (dsb)
  - Add new locale Spanish for Ecuador (es-EC)
  - Update German translation for Switzerland (de-CH)
  - Update Hebrew translation (he)
  - Change currency for Latvian (lv)
  - Use two letter week day abbreviations for Dutch (nl)
  - Update Arabic translation (ar)
  - Update Hungarian translation (hu)
  - Change currency for Ireland (en-IE)
  - Update Ukrainian translation (uk)
  - Add Papiamento/Curaçao translation (pap-CW)
  - Add Cantonese translation (zh-YUE)
  - Update Portugese translation for Brazil (pt-BR)
  - Update Tagalog translation (tl)
  - Update English translation for India (en-IN)
  - Update Lithuanian translation (lt)
  - Update date formats for Finnish (fi)
* Fri Dec 20 2013 coolo@suse.com
- updated to version 4.0.1
  - Fix typos, formats and delimiters for Swiss-German (iso-639-2/gsw-CH)
  - Add missing keys to Dutch (nl)
  - Fix translations for Lithuanian (lt)
  - Add Spanish/Panama (es-PA)
  - Add Urdu (ur)
  - Remove whitespace between attribute and message in Chinese (zh-CN)
  - Support Rails 4.1.0.beta1
* Thu Oct 10 2013 coolo@suse.com
- updated to version 4.0.0
  - Fix values of 'restrict_dependent_destroy' key for many languages
  - Fix currency separator and delimiters for es-AR, fi, ro and sv
  - Fix 'errors.messages.too_(long|short)' for German (de)
  - Add transliteration rules for German (de)
  - Add missing keys to Chinese/Hong Kong (zh-HK)
  - Add English/Ireland (en-IE)
  - Add missing keys to Icelandic (is)
  - Add missing keys to Danish (da)
  - Fix a grammar error for Bulgarian (bg)
  - Order keys of French (fr) locale alphabetically
  - Singularize Millionen, Billionen for German/Switzerland (de-CH)
  - Fix date format for Italian (it)
  - Add transliteration rules for French (fr)
  - Add Spanish/Costa Rica (es-CR)
  - Remove trailing spaces for many languages
  - Fix abbr_month_names and month_names for Catalan (ca)
  - Reintroduce English/US (en-US)
  - Add transliteration rules for Romanian (ro)
  - Fix abbr_day_names and abbr_month_names for French (fr)
  - Fix 'storage_units.units.byte' key for Chinese/Taiwan (zh-TW)
  - Use 12-hour clock for :en-US and :en-CA
  - Fix 'date.formats.default' key in en-US locale
  - Fix some translations for Chinese/Hong Kong (zh-HK)
  - Fix translations for less_than_x_{minutes,seconds} for Japanese (ja)
  - Fix 'errors.messages.confirmation' key for Russian (ru)
  - Fix 'datetime.distance_in_words' keys for Hungarian (hu)
  - Fix the currency unit for Polish (pl)
  - Fix the currency unit for French/Switzerland (fr-CH)
* Fri Jul 12 2013 coolo@suse.com
- updated to version 0.7.4
  - Add Odiya language (or)
  - Revert several translations for Spanish/Colombia (es-CO)
  - Add Swiss-German (iso-639-2/gsw-CH)
  - Add Chinese/Hong Kong (zh-HK)
  - Fix some translations for Mongolian (mn)
  - Fix some translations for Hebrew (he)
  - Fix date and time formats for English/Austraria (en-AU)
  - Add English/New Zealand (en-NZ)
  - Fix some translations for Finnish (fi)
  - Fix the case in x_seconds for Russian (ru)
  - Add :many pluralization value for Polish (pl)
  - Change the value of strip_insignificant_zeros to false for Norwegian (nb)
* Tue Mar 19 2013 coolo@suse.com
- updated to version 0.7.3
  - Fix number delimiter and separator for Italian (it)
  - Fix currency delimiter and separator for Romanian (ro)
  - Fix time formats for Portuguese/Brazil (pt-BR)
  - Fix several translations for Estonian (et)
  - Fix several translations for Spanish/Colombia (es-CO)
  - Fix the translation of half_a_minute for Tagalog (tl)
  - Fix separators for Russian (ru)
  - Add Afrikaans locale (af)
  - Fix some spelling mistakes for Catalan (ca)
  - Use secure Rubygems URL
  - Change capitalization rules for Italian (it)
  - Fix abbreviations, currency format, etc. for Greek (el)
  - Fix the translation of submit for Portuguese (pt)
* Sat Dec 29 2012 coolo@suse.com
- updated to version 0.7.2
  - Remove spurious `mis` from Welsh month names
  - Add OneOther default pluralization rule and create corresponding locale pluralization files
  - Add pluralization files for locales with region
  - Update Persian (fa) translation
* Mon Nov 26 2012 coolo@suse.com
- updated to version 0.7.1
  - Update Peruvian Spanish (es-PE) translation
  - Fix pluralization rules for OneTwoOther
  - Fix pluralization rules for Hungarian (hu)
  - Update Japanese (ja) translation
  - Fix and complete translations of Macedonian (mk), Cyrillic Serbian (sr) and Serbo-Croatian (scr)
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.7.0
  - Remove Swiss Gemarn (gsw-CH) as a duplicate of de-CH
  - Remove en-US
  - Remove region code from bn-IN, gl-ES, pt-PT and sv-SE
  - Move iso-639-2 locales into their own directory
  - Add pluralization rule for Upper Sorbian
  - Fix grammar mistakes on Bulgarian (bg) translation
  - Add Latin American Spanish (es-419) translation
* Fri Sep  7 2012 coolo@suse.com
- updated to version 0.6.6
  - added Uzbek (uz) translation
  - added Swiss Italian (it-CH) translation
  - fixed Swiss German (de-CH) translation
  - added Polish (pl) transliteration
  - fixed Greek (el) translation
  - added Nepali (ne) translation
  - fixed Argentina Spanish (es-AR) translation
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.6.5
  * tons of translations, see CHANGELOG.md
* Fri Jan 20 2012 lslezak@suse.cz
- initial version
- 0.3.0
